## prometheus-flask-exporter 0.23.0

=== requirements.txt ===
flask
prometheus_client
werkzeug>=3.0.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
prometheus-flask-exporter (0.23.0-3) unstable; urgency=medium

  * d/control: Switch testsuite to autopkgtest-pkg-pybuild.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Thu, 22 Feb 2024 21:48:35 -0300

prometheus-flask-exporter (0.23.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Mon, 19 Feb 2024 22:54:29 -0300

prometheus-flask-exporter (0.23.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1056728)

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Sat, 25 Nov 2023 12:45:20 -0300

=== debian/control ===
Source: prometheus-flask-exporter
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-flask,
 python3-prometheus-client,
 python3-setuptools,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/rycus86/prometheus_flask_exporter
Vcs-Browser: https://salsa.debian.org/python-team/packages/prometheus-flask-exporter
Vcs-Git: https://salsa.debian.org/python-team/packages/prometheus-flask-exporter.git

Package: python3-prometheus-flask-exporter
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends},
Description: Prometheus metrics exporter for Flask (Python 3)
 This library provides HTTP request metrics to export into Prometheus.
 It can also track method invocations using convenient functions.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prometheus-flask-exporter
export PYBUILD_TEST_ARGS=--start-directory tests/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rycus86/prometheus_flask_exporter/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## prometheus-flask-exporter 0.23.1

=== requirements.txt ===
flask
prometheus_client
werkzeug>=3.0.1 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== examples/gunicorn-app-factory/requirements.txt ===
flask
gunicorn
prometheus_client
prometheus_flask_exporter

=== examples/gunicorn-multiprocess-109/requirements.txt ===
flask
gunicorn
pebble
prometheus_client
prometheus_flask_exporter

=== examples/uwsgi-lazy-apps/requirements.txt ===
flask
uwsgi
prometheus_client
prometheus_flask_exporter

=== examples/wsgi/requirements.txt ===
flask
prometheus_client
prometheus_flask_exporter

=== examples/sample-signals/app/requirements.txt ===
flask
prometheus_flask_exporter

=== debian/changelog ===
prometheus-flask-exporter (0.23.1-1) unstable; urgency=medium

  [ Ana Beatriz Norberto da Silva ]
  * Team upload.
  * New upstream version 0.23.1
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Thu, 02 Jan 2025 19:25:17 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-prometheus-client,
  python3-setuptools,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rycus86/prometheus_flask_exporter
 Vcs-Browser: https://salsa.debian.org/python-team/packages/prometheus-flask-exporter
 Vcs-Git: https://salsa.debian.org/python-team/packages/prometheus-flask-exporter.git
